### Function

# Camel Sasl authtype

#### Declaration [src]

    CamelServiceAuthType*
    camel_sasl_authtype (
      const gchar* mechanism
    )

#### Description

No description available.

#### Parameters

`mechanism`

  Type: `const gchar*`

  The SASL mechanism to get an authtype for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelServiceAuthType`

A `CamelServiceAuthType` for the given mechanism, if it is supported.

The data is owned by the called function.
The return value can be `NULL`.